%define name php-pear-File
%define rname File
%define version 1.1.0
%define rversion 1.1.0RC3
%define release 0.RC3.1mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: Common file and directory routines
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{rname}-%{version}.tar.bz2
License:   PHP License
Group:     Development/Other
Url:       http://pear.php.net/package/File
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
PreReq:    php-pear
Requires: php >= 4.0.0
Requires: php >= 4.3.0
Requires: php-pcre
Requires: php-pear-PEAR
%description
Provides easy access to read/write to files along with
some common routines to deal with paths. Also provides
interface for handling CSV files.

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
cp File.php $RPM_BUILD_ROOT%{pear_phpdir}/File.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/File
cp File/Util.php $RPM_BUILD_ROOT%{pear_phpdir}/File/Util.php
cp File/CSV.php $RPM_BUILD_ROOT%{pear_phpdir}/File/CSV.php
mkdir -p $RPM_BUILD_ROOT%{pear_testdir}/File/tests
cp tests/parser.php $RPM_BUILD_ROOT%{pear_testdir}/File/tests/parser.php
cp tests/test.csv $RPM_BUILD_ROOT%{pear_testdir}/File/tests/test.csv
cp tests/FileTest.php $RPM_BUILD_ROOT%{pear_testdir}/File/tests/FileTest.php

mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%preun
pear uninstall -r -n %{rname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{pear_phpdir}/File
%dir %{pear_testdir}/File
%dir %{pear_testdir}/File/tests
%{pear_phpdir}/File.php
%{pear_phpdir}/File/Util.php
%{pear_phpdir}/File/CSV.php
%{pear_testdir}/File/tests/parser.php
%{pear_testdir}/File/tests/test.csv
%{pear_testdir}/File/tests/FileTest.php
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.0-0.RC3.1mdk

- First mdk package

